package com.tykj.dev.device.library.service;


import com.tykj.dev.device.library.subject.Dto.DeviceLogDto;
import com.tykj.dev.device.library.subject.domin.DeviceLog;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface DeviceLogService {
    /**
     * @param deviceLogDto 日志dto
     */
    void addLog(DeviceLogDto deviceLogDto);

    void addAllLog(List<DeviceLogDto> deviceLogDtos);

    void sendHash(DeviceLog deviceLog);

    /**
     * @param deviceLogDtos 异步上链
     */
    void sendHash(List<DeviceLogDto> deviceLogDtos);

    DeviceLogDto getOne(Integer id);

    void saveAllLog(List<DeviceLog> deviceLogList);

}
